curl --request POST \
--url https://api.example.com/api/v1/customer/addresses \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"city": "Sao Paulo",
"country": "BR",
"label": "Casa",
"neighborhood": "Bela Vista",
"number": "1000",
"state": "SP",
"street": "Av. Paulista",
"zipCode": "01310-100",
"complement": "Apto 42",
"isDefault": true,
"lat": -23.55052,
"lng": -46.633308
}
'import requests
url = "https://api.example.com/api/v1/customer/addresses"
payload = {
"city": "Sao Paulo",
"country": "BR",
"label": "Casa",
"neighborhood": "Bela Vista",
"number": "1000",
"state": "SP",
"street": "Av. Paulista",
"zipCode": "01310-100",
"complement": "Apto 42",
"isDefault": True,
"lat": -23.55052,
"lng": -46.633308
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
city: 'Sao Paulo',
country: 'BR',
label: 'Casa',
neighborhood: 'Bela Vista',
number: '1000',
state: 'SP',
street: 'Av. Paulista',
zipCode: '01310-100',
complement: 'Apto 42',
isDefault: true,
lat: -23.55052,
lng: -46.633308
})
};
fetch('https://api.example.com/api/v1/customer/addresses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"customerAddressId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a",
"customerId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a",
"city": "Sao Paulo",
"country": "BR",
"label": "Casa",
"lat": -23.55052,
"lng": -46.633308,
"neighborhood": "Bela Vista",
"number": "1000",
"state": "SP",
"street": "Av. Paulista",
"zipCode": "01310-100",
"isDefault": true,
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z",
"complement": "Apto 42",
"createdBy": null,
"updatedBy": null,
"deletedBy": null,
"deletedAt": null
}{
"errors": [
{
"message": "required",
"path": "name"
}
],
"message": "Bad Request Error",
"statusCode": 400
}{
"message": "Missing or invalid access token",
"statusCode": 401
}{
"message": "Internal Server Error",
"statusCode": 500
}Create Address
Creates an address.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Comma-separated list of fields to include in the response. Supports dot notation for nested projection (e.g. id,name,user.email,trips.route.id). Unknown fields are silently dropped.
Body
Customer address payload
City
"Sao Paulo"
Country
"BR"
Address label
"Casa"
Neighborhood
"Bela Vista"
Number
"1000"
State
"SP"
Street
"Av. Paulista"
Zip code
"01310-100"
Complement
"Apto 42"
Default address
true
Latitude
-90 <= x <= 90-23.55052
Longitude
-180 <= x <= 180-46.633308
Response
Created
Customer address
Customer address identifier
"0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a"
Customer identifier
"0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a"
City
"Sao Paulo"
Country
"BR"
Address label
"Casa"
Latitude
-90 <= x <= 90-23.55052
Longitude
-180 <= x <= 180-46.633308
Neighborhood
"Bela Vista"
Number
"1000"
State
"SP"
Street
"Av. Paulista"
Zip code
"01310-100"
Default address
true
Created at
"2026-01-01T00:00:00.000Z"
Updated at
"2026-01-01T00:00:00.000Z"
Complement
"Apto 42"
Created by
null
Updated by
null
Deleted by
null
Deleted at
null